## Gleitkommazahl (floating_point_literal)

Eine Gleitkommazahl (floating_point_literal) ist ein numerisches Literal, das eine Zahl in Gleitkommadarstellung angibt.

### Syntax

<floating_point_literal> ::= <mantissa>E<exponent>
| <mantissa>e<exponent>

<mantissa> ::= <fixed_point_literal>

<exponent> ::= [<sign>][[<digit>]<digit>]<digit>
<sign> ::= + | -
<digit> ::= 0 | 1 | 2 | | 3 | 4 | 5 | 6 | 7 | 8 | 9

1e160
-765E-04